/*
* uart1.c
*
* Created: 18.01.2016 00:10:52
*  Author: sschultewolter
*/

#include "uart1.h"

#include <avr/io.h>
#include <util/setbaud.h>

void uart1_init(void)
{
	UBRR1 = UBRR_VALUE;

	#if USE_2X
	UCSR1A |= (1<<U2X1);
	#else
	UCSR1A &= ~(1<<U2X1);
	#endif

	UCSR1B |= (1<<TXEN1) | (1<<RXEN1);
	UCSR1C |= (1<<UCSZ11) | (1<<UCSZ10);
}

void uart1_write(unsigned char data)
{
	while(!(UCSR1A & (1<<UDRE1)));
	UDR1 = data;
}