/*
* spi.h
*
* Created: 18.01.2016 00:56:31
*  Author: sschultewolter
*/


#ifndef SPI_H_
#define SPI_H_

#define SPI_REMAP

#define SPI_DDR			DDRA
#define SPI_PORT		PORTA
#define SPI_SCK			PORTA4
#define SPI_MISO		PORTA5
#define SPI_MOSI		PORTA6
#define SPI_SS			PORTA7

#define SPI_ALT_DDR		DDRA
#define SPI_ALT_PORT	PORTA
#define SPI_ALT_SCK		PORTA3
#define SPI_ALT_MISO	PORTA0
#define SPI_ALT_MOSI	PORTA1
#define SPI_ALT_SS		PORTA2


void spi_init(void);
void spi_alt_init(void);
void spi_write(unsigned char data);

#endif /* SPI_H_ */