/*
* tiny841_uart1_remapSpi.c
*
* Created: 18.01.2016 00:10:11
* Author : sschultewolter
*/


#include <avr/io.h>
#include <avr/wdt.h>
#include <util/delay.h>
#include "drv/uart0.h"
#include "drv/uart1.h"
#include "drv/spi.h"

int main(void)
{
	wdt_enable(WDTO_8S);
	DDRA |= (1<<0);
	uart0_init();
	uart1_init();

	uint8_t ct = 0;
	while (1)
	{
		wdt_reset();

		uart0_write(ct+'0');
		uart0_write('\n');

		uart1_write(ct+'0');
		uart1_write('\n');

		_delay_ms(500);
		PORTA ^= (1<<0);
		if(++ct == 10) ct = 0;
	}
}

